Identities

Get identity data

GET
/identity/{identity_code}

Only accessible if the user uploaded the identity or is a member of a group that has access.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

identity_code*string

Response Body

Successful Response

application/json
  1. response
preprocessing_status*Preprocessing Status

Current status of the preprocessing job (POV generation etc.).

created_at*Created At

Creation datetime (UTC) in ISO 8601 format.

updated_at*Updated At

Last updated datetime (UTC) in ISO 8601 format.

original_filename?|

Original filename of the uploaded image.

Defaultnull
link*string|null
thumbnail_link?|

768px WebP thumbnail URL for grid/list rendering. Falls back to link when null.

Defaultnull
visibility*Visibility

Visibility level of the identity.

Value in"shared""private""default"
groups*array<string>

Groups the identity is shared with.

identity_code*Identity Code

Unique identifier for the identity.

name*|

Identity custom name (can be null)

created_by*|

Username of the creator.

image_description?|

Structured image description (JSON).

Defaultnull
user_tags?array<>

User-defined tags assigned to this identity. Always empty for default identities.

Default[]
curl -X GET "https://example.com/identity/string"
{  "preprocessing_status": "string",  "created_at": "string",  "updated_at": "string",  "original_filename": null,  "link": "string",  "thumbnail_link": null,  "visibility": "shared",  "groups": [    "string"  ],  "identity_code": "string",  "name": "string",  "created_by": "string",  "image_description": null,  "user_tags": []}